Subject: [secdir] Review of draft-ietf-tsvwg-dtls-for-sctp-05

From: Catherine Meadows <[email-masked]>
Date: Thu, 3 Jun 2010 18:14:39 -0400

I have reviewed this document as part of the security directorate's ongoing effort to review all IETF documents being processed by the IESG.  These comments were written primarily for the benefit of the security area directors.  Document editors and WG chairs should treat these comments just like any other last call comments.

This document describes the usage of the Datagram Transport Layer Security (DTLS) protocol over the Stream Control Transmission Protocol (SCTP).
Most of the document deals with the different DTLS features, that must, must not, may, or should be used in this case.  

I don't see any security issues other than the one the authors have already noted, that is, that certain information is unavoidably sent in the clear because
it is in the header, and security decisions should not be made when certificates based on IP-addresses are used, since SCTP associations use multiple addresses
per SCTP endpoint.  Thus, I have no further comments to make.

Catherine Meadows
Naval Research Laboratory
Code 5543
4555 Overlook Ave., S.W.
Washington DC, 20375
phone: 202-767-3490
fax: 202-404-7942
email: [email-masked]